# Data Dictionary: Glassdoor Salaries

## Overview

Contains explanations and examples of all data fields available in the **Glassdoor Salaries** dataset.

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% tabs %}
{% tab title="Data fields by category" %}

1. [Metadata](#metadata)
2. [Employer details](#employer-details)
3. [Job posting details](#job-posting-details)
4. [Salary information](#salary-information)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
The data fields in the example snippets have been rearranged for better grouping. To see where a specific data field stands, check the full data sample [here](/additional-sources/glassdoor/glassdoor-salaries/data-sample.md).
{% endhint %}

## Metadata

### Record metadata

| Data field             | Description                                          | Data type                  |
| ---------------------- | ---------------------------------------------------- | -------------------------- |
| `meta`                 | Contains metadata about the record                   | Object                     |
| `created_at_date`      | Date when the record was initially scraped           | Array of numbers (integer) |
| `created_at_timestamp` | Unix timestamp for when the record was first scraped | Float                      |
| `updated_at_date`      | Date when the record was last updated                | Array of numbers (integer) |
| `updated_at_timestamp` | Unix timestamp for when the record was last updated  | Float                      |
| `version_id`           | Identifier for the dataset version                   | String                     |
| `source`               | Source from which the record was obtained            | String                     |
| `object`               | Type of data object or entity described              | String                     |
| `is_deleted`           | Indicates if the record is available on Glassdoor    | Boolean                    |

**See a snippet of the dataset for reference:**

{% code title="Meta fields" %}

```json
		"_meta": {
			"created_at_date": [
				2024,
				1,
				1
			],
			"created_at_timestamp": 123456789.987654,
			"updated_at_date": [
				2025,
				1,
				1
			],
			"updated_at_timestamp": 987654321.123456,
			"version_id": "123a4b56",
			"source": "glassdoor",
			"object": "salaries",
			"is_deleted": false
		},
```

{% endcode %}

### Salary metadata

| Data field     | Description                                           | Data type     |
| -------------- | ----------------------------------------------------- | ------------- |
| `doc`          | Dataset starting point                                | Object        |
| `id`           | Record identifier in our database                     | String        |
| `source_id`    | Record identifier on Glassdoor                        | String        |
| `url`          | Salary posting URL                                    | String        |
| `updated_date` | Salary posting update date in `month-day-year` format | String (date) |

{% code title="Salary metadata" %}

```json
"id": "glassdoor_salaries_123abc456def789ghi",
"source_id": "0a1b2c3d4e5f6g7h8i9j",
"url": "https://www.glassdoor.com/Salary/Example-Company-Service-Assistant-Manager-Profile-Salaries.htm",
"updated_date": "May 1, 2022"
```

{% endcode %}

## Employer details

| Data field     | Description                        | Data type |
| -------------- | ---------------------------------- | --------- |
| `company_id`   | Company identifier in our database | String    |
| `company_name` | Company name                       | String    |

**See a snippet of the dataset for reference:**

{% code title="Employer details" %}

```json
"company_id": "123456",
"company_name": "Example company",
```

{% endcode %}

## Job posting details

| Data field          | Description                  | Data type |
| ------------------- | ---------------------------- | --------- |
| `title`             | Job title                    | String    |
| `employment_status` | Contract type for the salary | String    |
| `location_type`     | Job location type            | String    |
| `location`          | Job location                 | String    |

{% code title="Job posting details " %}

```json
"title": "Assistant Manager Profile",
"employment_status": "REGULAR",
"location_type": "STATE",
"location": "New York",
```

{% endcode %}

## Salary information

| Data field              | Description                                                                                       | Data type |
| ----------------------- | ------------------------------------------------------------------------------------------------- | --------- |
| `pay_period`            | Pay period for the listed salary                                                                  | String    |
| `based_on_salary_count` | Number of salary postings the estimate is based on                                                | Integer   |
| `confidence`            | Denotes if the pay estimate is reliable based on the information submitted by the Glassdoor users | String    |

**See a snippet of the dataset for reference:**

{% code title="Salary information" %}

```json
"pay_period": "ANNUAL",
"based_on_salary_count": 1,
"confidence": "Low Confidence",
```

{% endcode %}

### Base pay

| Data field   | Description                               | Data type |
| ------------ | ----------------------------------------- | --------- |
| `base_pay`   | Base pay for the job                      | Object    |
| `min_pay`    | Lower end of the salary range for the job | Float     |
| `median_pay` | Median pay listed for the job             | Float     |
| `max_pay`    | Upper end of the salary range for the job | Float     |

**See a snippet of the dataset for reference:**

{% code title="Base pay" %}

```json
"base_pay": {
		"min_pay": 414531.07,
		"median_pay": 450292.5,
		"max_pay": 486547.84
```

{% endcode %}

### Additional pay

| Data field       | Description                               | Data type |
| ---------------- | ----------------------------------------- | --------- |
| `additional_pay` | Additional pay for the job                | Object    |
| `pay_min`        | Lower end of the salary range for the job | Float     |
| `pay_median`     | Median pay listed for the job             | Float     |
| `pay_max`        | Upper end of the salary range for the job | Float     |

**See a snippet of the dataset for reference:**

{% code title="Additional pay" %}

```json
"additional_pay": {
        "pay_min": 1600.50,
        "pay_median": 1600.50,
        "pay_max": 1600.50,
```

{% endcode %}

### Other compensation

| Data field            | Description                                               | Data type        |
| --------------------- | --------------------------------------------------------- | ---------------- |
| `additional_pay_type` | Additional compensation for the job in several categories | Array of objects |
| `type`                | Additional pay category                                   | String           |
| `amount_min`          | Lower end of the salary range for the job                 | Float            |
| `amount_median`       | Median pay listed for the job                             | Float            |
| `amount_max`          | Upper end of the salary range for the job                 | Float            |

**See a snippet of the dataset for reference:**

{% code title="Other compensation" %}

```json
"additional_pay_type": [
		{
			"type": "Base Pay",
			"amount_min": 431127.0,
			"amount_median": 450333.0,
			"amount_max": 469539.0
		},
		{
			"type": "Total Pay",
			"amount_min": 429214.5,
			"amount_median": 449003.25,
			"amount_max": 468792.0
		}
	],
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/additional-sources/glassdoor/glassdoor-salaries/data-dictionary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
